Loading...
Searching...
No Matches
D3D12_TEXTURE_COPY_LOCATION Struct Reference

`#include <mini_d3d12.h>`

## Public Attributes

ID3D12Resource * | pResource
D3D12_TEXTURE_COPY_TYPE | Type
union { |
D3D12_PLACED_SUBRESOURCE_FOOTPRINT PlacedFootprint |
UINT SubresourceIndex |
}; |

## Detailed Description

Definition at line 2826 of file mini_d3d12.h.

## Member Data Documentation

## pResource

ID3D12Resource* D3D12_TEXTURE_COPY_LOCATION::pResource

Definition at line 2827 of file mini_d3d12.h.

## Type

D3D12_TEXTURE_COPY_TYPE D3D12_TEXTURE_COPY_LOCATION::Type

Definition at line 2828 of file mini_d3d12.h.

## PlacedFootprint

D3D12_PLACED_SUBRESOURCE_FOOTPRINT D3D12_TEXTURE_COPY_LOCATION::PlacedFootprint

Definition at line 2830 of file mini_d3d12.h.

## SubresourceIndex

UINT D3D12_TEXTURE_COPY_LOCATION::SubresourceIndex

Definition at line 2831 of file mini_d3d12.h.

## [union]

union { ... } D3D12_TEXTURE_COPY_LOCATION

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h